# Generated from paranoia-2.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name paranoia

Name: rubygem-%{gem_name}
Version: 2.3.1
Release: 1%{?dist}
Summary: Cleaner re-implementation of acts_as_paranoid (ActiveRecord soft-delete plugin)
License: MIT
URL: https://github.com/rubysherpas/paranoia
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(activerecord)
BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
Paranoia is a re-implementation of acts_as_paranoid for Rails 3, 4, and 5,
using much, much, much less code. You would use either plugin / gem if you
wished that when you called destroy on an Active Record object that it
didn't actually destroy it, but just "hid" the record. Paranoia does this
by setting a deleted_at field to the current time when you destroy a record,
and hides it by scoping all queries on your model to only include records
which do not have a deleted_at field.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


# Run the test suite
%check
pushd .%{gem_instdir}
sed -i "/^require 'bundler\/setup'$/ s/^/#/" test/paranoia_test.rb
ruby -Ilib -e 'Dir.glob "./test/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_instdir}/paranoia.gemspec
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CODE_OF_CONDUCT.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Tue Jun 27 2017 Jun Aruga <jaruga@redhat.com> - 2.3.1-1
- Update to paranoia 2.3.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-0.1.pre.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Aug 10 2016 Jun Aruga <jaruga@redhat.com> - 2.2.0-0.1.pre
- Update to paranoia 2.2.0.pre

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Steve Linabery <slinaber@redhat.com> - 2.1.4-1
- Update to paranoia 2.1.4

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 29 2014 Vít Ondruch <vondruch@redhat.com> - 2.0.2-3
- Fix FTBFS in Rawhide (hrbz#1107191).

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 03 2014 Steve Linabery <slinaber@redhat.com> - 2.0.2-1
- Update to paranoia 2.0.2

* Mon Aug 19 2013 Josef Stribny <jstribny@redhat.com> - 2.0.0-1
- Update to paranoia 2.0.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 12 2013 Vít Ondruch <vondruch@redhat.com> - 1.1.0-6
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 30 2012 Steve Linabery <slinaber@redhat.com> - 1.1.0-3
- simplify check section

* Mon Apr 30 2012 Steve Linabery <slinaber@redhat.com> - 1.1.0-2
- Add BuildRequires for test suite execution
- Add test suite execution in check section

* Thu Apr 19 2012 Steve Linabery <slinaber@redhat.com> - 1.1.0-1
- Initial package
- remove mildly profane technical term from gemspec
